%global pkg_name commons-text

Name:           apache-%{pkg_name}
Version:        1.9
Release:        1%{?dist}
Summary:        Apache Commons Text is a library focused on algorithms working on strings
License:        ASL 2.0
URL:            https://commons.apache.org/proper/%{pkg_name}
BuildArch:      noarch

Source0:        https://archive.apache.org/dist/commons/text/source/%{pkg_name}-%{version}-src.tar.gz
Source1:        https://archive.apache.org/dist/commons/text/source/%{pkg_name}-%{version}-src.tar.gz.asc
Source2:        https://archive.apache.org/dist/commons/KEYS

BuildRequires:  gnupg2
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.commons:commons-parent:pom:)
BuildRequires:  mvn(org.assertj:assertj-core)
BuildRequires:  mvn(org.junit.jupiter:junit-jupiter)
BuildRequires:  mvn(org.mockito:mockito-core)

%description
The Commons Text library provides additions to the standard JDK's text handling.
Our goal is to provide a consistent set of tools for processing text generally
from computing distances between Strings to being able to efficiently do String
escaping of various types.

%javadoc_package

%prep
%autosetup -p1 -n %{pkg_name}-%{version}-src

%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'

find -type f \( -name \*.jar -o -name \*.class \) -delete

%build
# mockito-inline is not available.
%mvn_build -f -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt NOTICE.txt
%doc RELEASE-NOTES.txt README.md

%changelog
* Wed Jul 21 2021 Didik Supriadi <didiksupriadi41@gmail.com> - 1.9-1
- Initial package
